# SillyBubble - Dynamic Chat Bubble Extension for SillyTavern

SillyBubble is a SillyTavern extension that enables AI models to generate dynamic chat bubble images with text. The extension provides a function that AI models can call to create properly formatted markdown image links with URL-encoded text parameters.

## Features

- Provides a function for AI to generate markdown image links
- Properly URL-encodes text parameters for image generation
- Supports different bubble styles through style parameters
- Configurable image service URL
- Simple testing interface to preview bubble generation

## Installation and Usage

### Installation

1. Install the extension using SillyTavern's built-in extension installer
2. Configure the image service URL in the extension settings

### Usage

1. The extension registers a custom function `generateChatBubbleImage` that AI models can call
2. When called, it returns a properly formatted markdown image link:
   ```markdown
   ![](image.php?q=Hello%20world)
   ```
3. The function accepts two parameters:
   - `text`: The text to display in the bubble (required)
   - `style`: The visual style of the bubble (optional)

## Prerequisites

- SillyTavern with custom function support
- A properly configured image generation service that accepts text parameters

## Support and Contributions

For support or to contribute to this project, please visit the [GitHub repository](https://github.com/crystal/SillyBubble) or open an issue.

## License

MIT License
